List knowledge stores

Returns a list of the knowledge stores in your account.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

sort_byenumOptionalDefaults to created_at
The field to sort on.
Allowed values:
sort_optionstringOptionalDefaults to desc
The sorting direction. The following options are available: - `asc` - `desc` **Default**: `desc`.

Response

The knowledge stores have been successfully retrieved.
datalist of objects
An array containing the knowledge stores.
page_infoobject
An object that provides information about pagination.

Errors

400
Bad Request Error